Name:		shiboken
Version:	1.1.2
Release:	1
License:	GPLv2
Summary:	Creates the PySide bindings source files
Group:		Development/KDE and Qt
URL:		http://www.pyside.org
Source0:	http://www.pyside.org/files/%{name}-%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	python-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
Obsoletes:	generatorrunner < 0.6.17

%description
The Shiboken Generator (A.K.A. shiboken) is the plugin that creates the
PySide bindings source files from Qt headers and auxiliary files
(typesystems, global.h and glue files).

Since 1.1.1 it's merged with apiextractor and generatorrunner.

%files
%{_bindir}/%{name}
%{py_platsitedir}/%{name}.so
%{_mandir}/man1/*

#------------------------------------------------------------------------------

%define libmajor 1
%define libname %mklibname %{name} %{libmajor}

%define oldapiexlib %mklibname apiextractor 0
%define oldgenlib %mklibname genrunner 0

%package -n %{libname}
Summary:	Shiboken Generator core lib
Group:		System/Libraries
Obsoletes:	%{oldapiexlib} <= 0.10.11
Obsoletes:	%{oldgenlib} <= 0.6.17

%description -n %{libname}
Shiboken Generator core lib.

%files -n %{libname}
%{_libdir}/lib%{name}-python%{py_ver}.so.%{libmajor}*

#------------------------------------------------------------------------------

%define oldapiexdev %mklibname apiextractor -d

%package devel
Summary:	Devel stuff for Shiboken Generator
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{oldapiexdev} < 0.10.11
Obsoletes:	generatorrunner-devel < 0.6.17

%description devel
Devel stuff for Shiboken Generator.

%files devel
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%__sed 's/-Wno-strict-aliasing/-fno-strict-aliasing/' -i CMakeLists.txt
%cmake
%make

%install
%makeinstall_std -C build


%changelog
* Sun Sep 23 2012 Andrey Bondrov <abondrov@mandriva.org> 1.1.2-1
+ Revision: 817348
- Update files
- New version 1.1.2, adjust Obsoletes, convert BR to pkgconfig style

* Sat May 26 2012 Andrey Bondrov <abondrov@mandriva.org> 1.1.1-1
+ Revision: 800769
- New version 1.1.1, now it's merged with apiextractor and generatorrunner

* Sat Apr 07 2012 Andrey Bondrov <abondrov@mandriva.org> 1.1.0-1
+ Revision: 789630
- New version 1.1.0

* Wed Oct 26 2011 Andrey Bondrov <abondrov@mandriva.org> 1.0.9-1
+ Revision: 707322
- New version 1.0.9

* Tue Sep 20 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.6-1
+ Revision: 700470
- update versioned buildrequires
- new version

* Mon Sep 19 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.4-3
+ Revision: 700441
- clean out obsolete rpm junk
- rebuild against newer libgenrunner

  + Lev Givon <lev@mandriva.org>
    - Force rebuild.

* Thu Jul 14 2011 Lev Givon <lev@mandriva.org> 1.0.4-1
+ Revision: 689997
- Update to 1.0.4.

* Wed Jul 13 2011 Lev Givon <lev@mandriva.org> 1.0.3-3
+ Revision: 689905
- Fix release tag.

* Wed Jun 08 2011 Paulo Belloni <paulo@mandriva.com> 1.0.3-2
+ Revision: 683171
- Fixing no-strict-aliasing flag. We need to inform upstream.

* Sat May 28 2011 Funda Wang <fwang@mandriva.org> 1.0.3-1
+ Revision: 680404
- new version 1.0.3

* Sun May 01 2011 Funda Wang <fwang@mandriva.org> 1.0.2-1
+ Revision: 661158
- new version 1.0.2

* Sat Apr 02 2011 Funda Wang <fwang@mandriva.org> 1.0.1-1
+ Revision: 649942
- update to new version 1.0.1

* Sat Mar 05 2011 Funda Wang <fwang@mandriva.org> 1.0.0-1
+ Revision: 642048
- 1.0.0 final

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.rc1.1
+ Revision: 640592
- New version 1.0 rc1

* Fri Feb 04 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta5.1
+ Revision: 635748
- New version 1.0.0 beta5

* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta4.1
+ Revision: 633829
- update file list
- 1.0 beta4

* Wed Jan 19 2011 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta3.1
+ Revision: 631674
- new version 1.0.0 beta3

* Mon Dec 20 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta2.1mdv2011.0
+ Revision: 623332
- new version 1.0 beta2

* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta1.1mdv2011.0
+ Revision: 601836
- update file list
- 1.0.0 beta1

* Wed Nov 03 2010 Funda Wang <fwang@mandriva.org> 0.5.1-2mdv2011.0
+ Revision: 592796
- rebuild for py2.7

* Thu Oct 14 2010 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 585679
- new version 0.5.1

* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 580650
- fix str fmt
- new version 0.5.0

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2011.0
+ Revision: 566421
- import shiboken


